Summary: LibreSchool PXE server Extra images
Name: libreschool-pxeserver-extraimages
Version: 1.0.0
Release: 1.ns7
License: GPL
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root
Source0: %{name}-%{version}.tar.gz
Source1: COPYING
URL: %{url_prefix}/%{name}
Requires: libreschool-pxeserver
Requires: nethserver-tftp
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: nethserver-devtools
BuildRequires: systemd

%description
LibreSchool PXE server Extra Images

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -not -name '*.orig' -print  | cpio -dump $RPM_BUILD_ROOT)
%{genfilelist} $RPM_BUILD_ROOT                   > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING"                             >> %{name}-%{version}-%{release}-filelist

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)

%pre
if [ "$1" = 2 ]; then
  #upgrade
fi

%post

%preun
#if [ "$1" = 1 ]; then
#  #upgrade
#fi
if [ "$1" = 0 ]; then
  #uninstallation
fi

%postun
#if [ "$1" = 1 ]; then
#  #upgrade
#fi
if [ "$1" = 0 ]; then
  #uninstallation
fi

%changelog
* Sun Mar 29 2020 Paolo Asperti <paolo@asperti.com> - 1.0-1.ns7
- First release for NethServer 7
